Bug 1703388 - Fix the versioning of pre-release builds
Summary: Fix the versioning of pre-release builds
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: podman
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-26 10:14 UTC by Debarshi Ray
Modified: 2019-06-28 22:08 UTC (History)
4 users (show)

Fixed In Version: podman-1.4.2-1.fc30 podman-1.4.2-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-22 01:03:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Debarshi Ray 2019-04-26 10:14:49 UTC
Rre-release snapshots of podman use a risky versioning scheme that can lead to things like bug 1702419.

For snapshots leading up to the 1.4.0 release, the numbers ought to be:
podman-1.4.0-0.1.dev.gitabcd
podman-1.4.0-0.2.dev.gitefgh
... and so on.

Note how the release field is of the form '0.N', not 'N'. That way, the build for the final 1.4.0 upstream release can be podman-1.4.0-1 and the update path would continue to work.

For details, see:
https://docs.fedoraproject.org/en-US/packaging-guidelines/Versioning/#_prerelease_versions

This was recently fixed for buildah. The same needs to be done for podman.

Comment 1 Fedora Update System 2019-06-19 13:31:36 UTC
FEDORA-2019-228ea20b37 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-228ea20b37

Comment 2 Fedora Update System 2019-06-19 13:31:36 UTC
FEDORA-2019-a3fccd88de has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a3fccd88de

Comment 3 Fedora Update System 2019-06-20 00:49:14 UTC
podman-1.4.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a3fccd88de

Comment 4 Fedora Update System 2019-06-20 02:17:52 UTC
podman-1.4.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-228ea20b37

Comment 5 Fedora Update System 2019-06-22 01:03:34 UTC
podman-1.4.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2019-06-28 22:08:59 UTC
podman-1.4.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.